package dao

import (
	"time"
)

type ServiceRequestRecord struct {
	//Id          int            `json:"id" xorm:"id"`
	ServiceId   int       `json:"service_id" xorm:"service_id"`
	ApplyId     int       `json:"apply_id" xorm:"apply_id"`
	UserId      string    `json:"user_id" xorm:"user_id"`
	RequestTime time.Time `json:"request_time" xorm:"request_time created"`
	DateDay     int       `json:"date_day" xorm:"date_day"`
	DateMonth   int       `json:"date_month" xorm:"date_month"`
	DateYear    int       `json:"date_year" xorm:"date_year"`
	Status      int       `json:"status" xorm:"status"`
	Error       string    `json:"error" xorm:"error"`
	ReqUrl      string    `json:"req_url" xorm:"req_url"`
}

func (s ServiceRequestRecord) TableName() string {
	return "service_request_record"
}
